%define _requires_exceptions perl(BasicFilters)\\|perl(BasicSorters)\\|perl(IPAddrContact)\\|perl(KnownEquiv)\\|perl(TimeFilters)\\|perl(ann_xml.pl)\\|perl(sisr_utils.pl)\\|perl(web_utils.pl)

Summary:	Snort HTML LOG converter
Name:		SnortSnarf
Version:	021111.1
Release:	%mkrel 5
License:	GPL
Group:		Monitoring
URL:		http://www.silicondefense.com/snortsnarf/
Source0:	http://www.snort.org/dl/contrib/data_analysis/snortsnarf/%{name}-%{version}.tar.bz2
Patch0:		SnortSnarf-021111.1-no_warn.diff.bz2
BuildRequires:	perl-devel
Requires:	snort >= 1.7
#Requires:	perl-Time-modules perl-Time-Local
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This program creates a set of HTML pages to allow you to quickly
and conveniently navigate around output files of the Snort
intrusion detection system (http://www.snort.org/).

%prep

%setup -q
%patch0 -p0

# fix strange attribs
chmod 755 sisr/cgi/*

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}/var/www/cgi-bin

cp -a include/* %{buildroot}%{perl_vendorlib}/
cp -a {utilities/*,nmap2html/*.pl} %{buildroot}%{_bindir}
cp -a cgi/* %{buildroot}/var/www/cgi-bin

cp -a snortsnarf.pl %{buildroot}%{_bindir}
perl -p -i -e 's|snort\.alert|syslog|' %{buildroot}%{_bindir}/snortsnarf.pl

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README nmap2html/README.nmap2html sisr/README.SISR COPYING Usage sisr
%{perl_vendorlib}/*
%{_bindir}/*
%attr(0755,root,root) /var/www/cgi-bin/*


%changelog
* Sat Mar 21 2009 Funda Wang <fundawang@mandriva.org> 021111.1-5mdv2009.1
+ Revision: 359943
- fix patch num

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 021111.1-5mdv2009.0
+ Revision: 225449
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 021111.1-4mdv2008.1
+ Revision: 178707
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 23 2007 Christiaan Welvaart <spturtle@mandriva.org> 021111.1-3mdv2008.0
+ Revision: 30162
- Import SnortSnarf



* Mon Aug 21 2006 Emmanuel Andry <eandry@mandriva.org> 021111.1-3mdv2007.0
- %%mkrel

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 021111.1-2mdk
- Rebuild

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 021111.1-1mdk
- 021111.1
- nuke redundant deps
- misc spec file fixes

* Wed Nov 12 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 020516.1-4mdk
- Remove 8 bad automatic requires using _requires_exceptions

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 020516.1-3mdk
- rebuild for new perl

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 020516.1-2mdk
- rebuild
- cosmetics
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Fri Aug 30 2002 Florin <florin@mandrakesoft.com> 020516.1-1mdk
- 020516.1

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 020126.1-3mdk
- move files from vendorarch to vendorlib where they belong
- BuildArch: noarch

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 020126.1-2mdk
- rebuild for perl 5.8.0

* Fri Mar 16 2002 Florin <florin@mandrakesoft.com> 020126.1-1mdk
- 020126.1
- update the patch

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 010821.1-2mdk
- BuildRequires: perl-devel

* Thu Oct 11 2001 Florin <florin@mandrakesoft.com> 010821.1-1mdk
- 010821.1

* Mon Apr 23 2001 Florin Grad <florin@mandrakesoft.com> 041501.1-1mdk
- new version
- add the perl-path.patch

* Wed Apr 3 2001 Florin Grad <florin@mandrakesoft.com> 011601.1-1mdk
- First attempt.
